groovy-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kendall Shaw <ques...@gmail.com>
Subject classloader problem maybe, using jacorb
Date Mon, 22 Feb 2016 00:24:53 GMT
Hi,

I'm using a library that "transparently" uses jacorb, i.e. I'm not 
expected to know anything about CORBA.
There is no problem using java or clojure. But, with groovy I get:

java.lang.VerifyError
(class: org/jacorb/orb/Delegate, method: getReference signature:
(Lorg/jacorb/poa/POA;)Lorg/omg/CORBA/portable/ObjectImpl;)
Incompatible object argument for function call

I've read discussion about this error message occurring because some 
classes are not found by the classloader that loads them.

I've tried prepending/appending and evenadding it to a copy of rt.jar 
and setting the bootclasspath. Like:

http://www.jacorb.org/TomcatHowto.html

I did this by using the command that startGroovy uses and adding the 
arguments to the java command.

I've also tried assembling the classpath at runtime, using rootLoader 
and had similar results. Do you have any ideas about how to approach the 
problem?

Kendall

Mime
View raw message